
#vyp {
    position: fixed;
    z-index: 6;
    font-family: Arial,sans-serif;
    font-size: 12px;
    line-height: 1.4em;
    font-smooth: antialised;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
}

@media (min-width: 1024px) {
    #vyp {
        font-size:16px
    }
}

#vyp-superposicion {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
    background: rgba(0,0,0,.4);
    -webkit-transform: translate3d(0,-100%,0);
    transform: translate3d(0,-100%,0);
    opacity: 0;
    transition: opacity .4s,-webkit-transform 0s;
    transition: transform 0s,opacity .4s;
    transition: transform 0s,opacity .4s,-webkit-transform 0s;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-perspective: 1000;
    perspective: 1000;
    will-change: transform,opacity
}

#vyp[open] #vyp-superposicion {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    opacity: 1
}

#vyp-ico {
    position: fixed;
    bottom: 0;
    width: 80px;
    height: 80px;
    cursor: pointer;
    z-index: 4
}

#vyp[left] #vyp-ico {
    left: 0
}

#vyp[right] #vyp-ico {
    right: 0
}

#vyp[positivo] #vyp-ico {
    fill: #000025
}

#vyp[positivo] #vyp-ico #star path {
    fill: #fff
}

#vyp[negativo] #vyp-ico {
    fill: #555
}

#vyp[negativo] #vyp-ico #star path {
    fill: #ffffff
}

#vyp-modulo {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 2;
    transition: -webkit-transform .6s;
    transition: transform .6s;
    transition: transform .6s,-webkit-transform .6s;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-perspective: 1000;
    perspective: 1000;
    will-change: transform
}

#vyp[deslizante] #vyp-modulo {
    top: 0;
    bottom: 0;
    width: 90%;
    max-width: 420px
}

#vyp[deslizante][left] #vyp-modulo {
    left: auto;
    right: 100%;
    -webkit-transform: translateZ(0);
    transform: translateZ(0)
}

#vyp[deslizante][left][open] #vyp-modulo {
    right: 100%;
    -webkit-transform: translate3d(100%,0,0);
    transform: translate3d(100%,0,0)
}

#vyp[deslizante][right] #vyp-modulo {
    right: auto;
    left: 100%;
    -webkit-transform: translateZ(0);
    transform: translateZ(0)
}

#vyp[deslizante][right][open] #vyp-modulo {
    -webkit-transform: translate3d(-100%,0,0);
    transform: translate3d(-100%,0,0)
}

#vyp[emergente] #vyp-modulo {
    left: 0;
    right: 0;
    top: 100%;
    bottom: 0;
    -webkit-transform: translateZ(0);
    transform: translateZ(0)
}

#vyp[emergente][open] #vyp-modulo {
    -webkit-transform: translate3d(0,-100%,0);
    transform: translate3d(0,-100%,0)
}

#vyp-contenido {
    position: absolute;
    overflow-y: auto;
    padding: 24px;
    box-sizing: border-box
}

#vyp[deslizante] #vyp-contenido {
    top: 0;
    bottom: 0;
    left: 0;
    right: 0
}

#vyp[emergente] #vyp-contenido {
    width: 90%;
    height: 90%;
    max-height: 600px;
    max-width: 600px;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    border-radius: 12px
}

#vyp[positivo] #vyp-contenido {
    color: #fff;
    fill: #fff;
    background-color: #313147
}

#vyp[negativo] #vyp-contenido {
    color: #333;
    fill: #333;
    background-color: #ffffff
}

#vyp-cerrar {
    position: absolute;
    right: 16px;
    top: 16px;
    width: 24px;
    cursor: pointer
}

#vyp-titulo {
    font-size: 1.2em;
    line-height: 1.5em;
    font-weight: 700;
    padding-right: 32px;
    margin: 0;
    text-align: left
}

#vyp #vyp-configuracion-recomendada {
    margin-left: 0;
    float: none;
    clear: both
}

#vyp h3 {
    margin: 0;
    font-weight: 700;
    padding-right: 120px
}

#vyp h3,#vyp p {
    font-size: 1em;
    line-height: 1.5em;
    text-align: left
}

#vyp p {
    font-weight: 400;
    margin: 1em 0
}

#vyp hr {
    height: 1px;
    border: 0;
    margin: 24px 0;
    opacity: .25
}

#vyp .vyp-svg-element {
    width: 16px;
    height: 16px;
    display: inline-block;
    position: relative;
    top: 6px;
    margin-left: 8px
}

#vyp[positivo] hr {
    background-color: #fff
}

#vyp[positivo] a,#vyp[positivo] h2,#vyp[positivo] h3,#vyp[positivo] p,#vyp[positivo] span {
    color: #fff;
    fill: #fff
}

#vyp[negativo] hr {
    background-color: #333
}

#vyp[negativo] a,#vyp[negativo] h2,#vyp[negativo] h3,#vyp[negativo] p,#vyp[negativo] span {
    color: #333;
    fill: #333
}

#vyp .cookie-opcional {
    position: relative
}

#vyp .pulsador-check {
    position: absolute;
    top: -3px;
    right: 0;
    margin: 0;
    border-radius: 12px;
    border: 4px solid #fff
}

#vyp .pulsador-check-label {
    display: flex;
    margin: 0;
    cursor: pointer;
    z-index: 1
}

#vyp .pulsador-check-input {
    margin: 0;
    padding: 0;
    visibility: hidden;
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%
}

#vyp .pulsador-check-off,#vyp .pulsador-check-on {
    flex: 1;
    flex-basis: 50%;
    width: 50%;
    min-width: 40px;
    text-align: center;
    z-index: 2;
    font-size: .75em;
    font-weight: 700;
    padding: 0 6px;
    white-space: nowrap
}

#vyp .pulsador-check-off {
    opacity: .65
}

#vyp .pulsador-check-toggle {
    display: block;
    width: 50%;
    height: 100%;
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 3;
    border-radius: 50px;
    transition: all .4s ease;
    background-color: #000
}

#vyp .pulsador-check input:checked~.pulsador-check-toggle {
    left: 50%
}

#vyp[positivo] .pulsador-check {
    background-color: #111125;
    border-color: #111125
}

#vyp[positivo] .pulsador-check-toggle {
    background-color: #2f2f5f
}

#vyp[negativo] .pulsador-check {
    background-color: #dcdcdc;
    border-color: #dcdcdc
}

#vyp[negativo] .pulsador-check-toggle {
    background-color: #000
}

#vyp[negativo] .pulsador-check-off,#vyp[negativo] .pulsador-check-on {
    color: #000
}

#vyp .vyp-alert {
    margin: -16px 0 0;
    overflow: hidden;
    height: 0;
    border-radius: 8px
}

#vyp .vyp-alert[visible] {
    height: auto;
    margin: 24px 0;
    padding: 16px 16px 0
}

#vyp .vyp-alert-title {
    display: flex;
    align-items: center;
    padding: 0
}

#vyp .vyp-alert-icon {
    display: inline-block;
    width: 30px;
    height: 30px;
    margin: 0 8px 0 0;
    flex-shrink: 0
}

#vyp .vyp-alert-break {
    margin: 12px 0
}

.cookie-externa-link {
    display: flex;
    align-items: center;
    margin: 16px 0
}

.cookie-externa-name {
    font-size: 1em;
    font-weight: 700
}

.cookie-externa-icon {
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-left: 16px
}

#vyp[positivo] .vyp-alert {
    color: #fff;
    fill: #fff;
    background: #111125
}

#vyp[negativo] .vyp-alert {
    background: #eaeaea
}

#vyp #vyp-notificacion {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    height: auto;
    min-height: 48px;
    padding: 16px;
    margin: 0;
    border-radius: 0;
    overflow: hidden;
    z-index: 5;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    -webkit-transform: translate3d(0,100%,0);
    transform: translate3d(0,100%,0);
    transition: -webkit-transform .4s;
    transition: transform .4s;
    transition: transform .4s,-webkit-transform .4s
}

#vyp #vyp-notificacion:empty {
    height: 0;
    padding: 0
}

#vyp #vyp-notificacion[visible] {
    -webkit-transform: translateZ(0);
    transform: translateZ(0)
}

#vyp #vyp-notificacion h3 {
    padding: 0
}

#vyp #vyp-notificacion p {
    margin: 0;
    opacity: .8;
    font-size: .9em
}

#vyp .vyp-notificacion-buttons {
    position: relative;
    margin-top: 16px
}

#vyp .vyp-notificacion-button {
    border: 2px solid;
    border-radius: 12px;
    padding: 8px 16px;
    font-size: 1em;
    margin: 4px 8px 4px 0;
    font-weight: 400;
    line-height: 1.5em;
    outline: 0;
    background: transparent;
    cursor: pointer
}

#vyp .vyp-notificacion-button:focus,#vyp .vyp-notificacion-button:hover {
    outline: 0
}

#vyp #vyp-notificacion-dismiss {
    cursor: pointer;
    position: absolute;
    top: -4px;
    right: 0
}

@media (min-width: 400px) {
    #vyp #vyp-notificacion-dismiss {
        position:relative;
        right: auto
    }
}

@media (min-width: 600px) {
    #vyp #vyp-notificacion {
        font-size:12px;
        flex-direction: row;
        align-items: center
    }

    #vyp .vyp-notificacion-buttons {
        margin-top: 0;
        white-space: nowrap;
        flex-shrink: 0
    }
}

@media (min-width: 1200px) {
    #vyp #vyp-notificacion {
        font-size:16px;
        z-index: 0;
        padding: 16px 100px
    }
}

#vyp[positivo] #vyp-notificacion {
    color: #fff;
    fill: #fff;
    background-color: #313147
}

#vyp[positivo] .vyp-notificacion-button {
    color: #fff;
    border-color: #fff
}

#vyp[positivo] .vyp-button-solid {
    color: #111125;
    background: #fff;
    font-weight: 700
}

#vyp[negativo] #vyp-notificacion {
    color: #000;
    fill: #000;
    background: #ffffff
}

#vyp[negativo] .vyp-notificacion-button {
    color: #000;
    border-color: #000
}

#vyp[negativo] .vyp-button-solid {
    color: #fff;
    background: #000;
    font-weight: 700
}

#vyp-acercade-link {
    font-size: .8em;
    font-weight: 700;
    text-decoration: none
}

#vyp-acercade-link .svg-element {
    width: 14px;
    height: 14px;
    margin-left: 6px
}

#vyp[deslizante] #vyp-acercade {
    height: 100px
}

#vyp[emergente] #vyp-acercade {
    height: 40px
}

@media print {
    #vyp {
        display: none!important
    }
}
